org.aspectj.internal.lang.reflect

## Class PointcutImpl

- java.lang.Object
- - org.aspectj.internal.lang.reflect.PointcutImpl

All Implemented Interfaces:
  Pointcut

    public class PointcutImpl
    extends Object
    implements Pointcut

Author:
  colyer

### Constructor Summary

Constructors
`protected` `PointcutImpl(String name, String pc, Method method, AjType declaringType, String pNames)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AjType` `getDeclaringType()`
`int` `getModifiers()`
`String` `getName()`
`String[]` `getParameterNames()`
`AjType<?>[]` `getParameterTypes()`
`PointcutExpression` `getPointcutExpression()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PointcutImpl

    protected PointcutImpl(String name,
                           String pc,
                           Method method,
                           AjType declaringType,
                           String pNames)

### Method Detail

#### getPointcutExpression

    public PointcutExpression getPointcutExpression()

Specified by:
  `getPointcutExpression` in interface `Pointcut`
Returns:
  the pointcut expression associated with this pointcut.

#### getName

    public String getName()

Specified by:
  `getName` in interface `Pointcut`
Returns:
  the declared name of the pointcut.

#### getModifiers

    public int getModifiers()

Specified by:
  `getModifiers` in interface `Pointcut`
Returns:
  the modifiers associated with the pointcut declaration. Use java.lang.reflect.Modifier to interpret the return value

#### getParameterTypes

    public AjType<?>[] getParameterTypes()

Specified by:
  `getParameterTypes` in interface `Pointcut`
Returns:
  the pointcut parameter types.

#### getDeclaringType

    public AjType getDeclaringType()

Specified by:
  `getDeclaringType` in interface `Pointcut`
Returns:
  the type that declared this pointcut

#### getParameterNames

    public String[] getParameterNames()

Specified by:
  `getParameterNames` in interface `Pointcut`
Returns:
  the pointcut parameter names. Returns an array of empty strings of length getParameterTypes().length if parameter names are not available at runtime.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`